commit:     a7a395375041869ce3e602b62f077ac285a0d63c
Author:     Oleksandr Trotsenko <oleksandr.trotsenko <AT> gmail <DOT> com>
AuthorDate: Sun Oct 28 03:53:16 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Nov  1 20:07:14 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7a39537

dev-python/arpeggio: Version bump to 1.9.0

Updating the package to the latest available version and introducing support for
Python 3.7.

See: https://github.com/gentoo/gentoo/pull/10198
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Oleksandr Trotsenko <oleksandr.trotsenko <AT> gmail.com>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/arpeggio/Manifest              |  1 +
 dev-python/arpeggio/arpeggio-1.9.0.ebuild | 34 +++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/arpeggio/Manifest b/dev-python/arpeggio/Manifest
index 4441a0268de..87c780b8a7b 100644
--- a/dev-python/arpeggio/Manifest
+++ b/dev-python/arpeggio/Manifest
@@ -1 +1,2 @@
 DIST Arpeggio-1.5.tar.gz 18856 BLAKE2B 
5ceb26d034622c448ea29adc70f6934dc2de8335c526f02d91bc4bccaf435d462516830fa6b124638fdcb0b4aadc859d602e1ec59469077d796b7534fa28f7aa
 SHA512 
533c59635556a3446c04c8b14f53e8ad6a7a39869f39d958bdd52b5a55ad43c533bc42a41999cc149015b34470d8ff0eca295ff1942c75b33a58a403a604c449
+DIST arpeggio-1.9.0.tar.gz 757412 BLAKE2B 
f89850a16b2ac1a87cbac3ae0f10d4c04af6097bfb9292abec24c8b938bdf3b837c4d292650b2e335ee5b4b03cd149e1722e35ceabf1b59fd4577ba7e62a8e44
 SHA512 
179ec76813476823f316471e1b313f377064a75879c52060e547fd755ae72947594dc4d6e58a798150620e82c8b123fbd88484881c12ccb311c47bc93a45a0cd

diff --git a/dev-python/arpeggio/arpeggio-1.9.0.ebuild 
b/dev-python/arpeggio/arpeggio-1.9.0.ebuild
new file mode 100644
index 00000000000..77211f6a560
--- /dev/null
+++ b/dev-python/arpeggio/arpeggio-1.9.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+MY_PN=Arpeggio
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Parser interpreter based on PEG grammars"
+HOMEPAGE="https://pypi.org/project/Arpeggio/ 
https://github.com/igordejanovic/Arpeggio";
+SRC_URI="https://github.com/igordejanovic/${MY_PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/memory_profiler[${PYTHON_USEDEP}]
+       )
+"
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+       pytest -vv || die "Testing failed"
+}

Reply via email to